clc 
clear
close all

Kp = 40*57;
Kd = .9*57;
Ki = 2*57;
I_yy = 0.15;
M_q = -3.5;
Cm_alpha = -0.58;
Motor_cut_freq = 19.35;
act_eff = 0.1283;
delay_motor = 0.015;
V_wind = 5;
S = 0.57;
rho = 1.22;
mean_chord = 0.33; 

M_alpha = 0.5 * rho * S * V_wind^2 * Cm_alpha * mean_chord;

Motor_dynamics = tf([Motor_cut_freq],[1 Motor_cut_freq],'InputDelay',delay_motor); 

lead_lag_motor = tf([1/Motor_cut_freq 1],[1/150 1])
% PID_tf = tf([Ki],[1 0]) + tf([Kd 0],[1]) + tf([Kp],[1]); 

PID_tf = tf([500.30051090801],[1 0]) + tf([110.14781186027*3507.55236932435  0],[1 3507.55236932435]) + tf([390.8037638237],[1]); 

Motor_to_acc_tf = tf([act_eff],[1]);

A = tf([I_yy],[I_yy -M_q]);

A = tf([I_yy],[I_yy 0 -M_alpha]);

% B = A * tf([1],[1 0]);
B = A * tf([1],[1 0]);

C = B/(1 + B * -M_alpha/I_yy );

G = PID_tf * Motor_dynamics * Motor_to_acc_tf * C;
G =  Motor_dynamics * Motor_to_acc_tf * C;

H = G/(1 + G);

Open_loop =  PID_tf * (Motor_dynamics * Motor_to_acc_tf * A) * lead_lag_motor;

Open_loop =  PID_tf * (Motor_dynamics * Motor_to_acc_tf * A);

step(Open_loop/(1+Open_loop))
